
@import url('https://fonts.googleapis.com/css2?family=Libre+Baskerville:ital@0;1&display=swap');
/* @import url('https://fonts.googleapis.com/css2?family=Pinyon+Script&display=swap'); */
@import url('https://fonts.googleapis.com/css2?family=Monsieur+La+Doulaise&display=swap');

@font-face {
    font-family: 'BBB Baskervvol';
    src: url('fonts/BBBBaskervvol-Regular.woff2') format('woff2');
    src: url('fonts/BBBBaskervvol-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'BBB Baskervvol';
    src: url('fonts/BBBBaskervvol-Italic.woff2') format('woff2');
    src: url('fonts/BBBBaskervvol-Italic.woff') format('woff');
    font-weight: normal;
    font-style: italic;
}

:root{
    --bck-color: #123c23;
    --main-color: #00ff00;
    font-synthesis: none;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

html,
body {
    padding: 0;
    margin: 0;
    /* font-family: 'Averia Serif Libre', serif; */
    font-family: 'BBB Baskervvol', serif;
    background-color: var(--bck-color);
    border-radius: 6px;
    font-size: 22px;
    line-height: 1.6;
    color: var(--main-color);
    -ms-overflow-style: none;
    scrollbar-width: none;
}
html::-webkit-scrollbar {
    display: none;
}
.intro{padding: 0 30px;}

.firstW, .secondW{
    transition: opacity 0.5s ease-in-out;
}
.secondW {
    display: none;
    opacity: 0;
}
.firstW.fade-out { opacity: 0;}
.secondW.fade-in { opacity: 1;}

body {
    margin: 2vh;
    border: var(--main-color) solid;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    min-height: 95vh;
    box-shadow: 0px 0px 10px var(--main-color), inset 0px 0px 10px var(--main-color);
}
.enter, .sure {
    color: var(--bck-color);
    /* font-family: 'Pinyon Script', cursive; */
    font-family: 'Monsieur La Doulaise', cursive;
    font-size: 3em;
    background-color: transparent;
    border: none;
    width: 20vw;
}

.enter:before, #sure::before {
    
    height: max-content;
    position: absolute;
    background-color: var(--main-color);
    filter: blur(50px);
    padding: 2%;
    z-index: 0;
    border-radius: 200px;
}
.enter:before{
    content: "Enter";
    width: max-content;
    margin-left: -1%;
    margin-top: -1%;
}
#sure:before{
    content: "Yes";
    width: 10vw;
    margin-left: 2%;
    margin-top: 2%;
}
.enter span, .sure{position: relative; z-index: 1;}

.enter span:hover, .sure:hover{
    cursor: pointer;
    animation: pulse 2s infinite ease-in-out;
}

.paragraph{color:var(--bck-color); display: none;}
h1, #funestos, #stolen, canvas{display: none;}

@keyframes pulse {
    0% {transform: scale(0.95);}
    50% {
        transform: scale(1.1);
        opacity: 0.2;
    }
    100% {transform: scale(0.95);}
}

@media screen and (max-width: 500px) {
    html,body{font-size: 13px;}
    body{border: var(--main-color) 1px solid;}
    .intro{padding: 0 25px;}
    .enter, .sure{width: initial;}
    #sure::before{
        filter: blur(20px);
        height: 6vh;
        margin-left: 8%;
    }
}